# H323BidirectionalChannel Class Reference

`#include <channels.h>`

Inheritance diagram for H323BidirectionalChannel:

[legend]
Collaboration diagram for H323BidirectionalChannel:
[legend]

## Public Member Functions

Construction
| H323BidirectionalChannel (H323Connection &connection, const H323Capability &capability)
Overrides from class H323Channel
virtual Directions | GetDirection () const

## Detailed Description

This class describes a bidirectional logical channel between the two endpoints. They may be created and deleted as required in the H245 protocol.

An application may create a descendent off this class and override functions as required for operating the channel protocol.

## Constructor & Destructor Documentation

H323BidirectionalChannel::H323BidirectionalChannel | ( | H323Connection & | connection,
|  | const H323Capability & | capability |
| ) |  |  |

Create a new channel.

Parameters:

  connection | Connection to endpoint for channel
  capability | Capability channel is using

## Member Function Documentation

virtual Directions H323BidirectionalChannel::GetDirection | ( |  | ) | const`[virtual]`

Indicate the direction of the channel. Return if the channel is bidirectional, or unidirectional, and which direction for th latter case.

Implements H323Channel.

The documentation for this class was generated from the following file:

- channels.h